1. Hasslehogg

    OP Hasslehogg Advanced Member
    Newcomer

    Joined:
    May 10, 2006
    Messages:
    55
    Country:
    Guys

    I have been lucky enough to find a 3.0.0 switch, but now a friend is selling his 2.1.0 switch. Is there any benefit to be on 2.1.0 over 3.0.0 (earlier released homebrew for example) or is that only for 1.0.0 and there isnt any benefit since trustzone can be accessed up to 3.x?

    thanks guys

    appreciate it
     
  2. yardie

    yardie Banned
    Banned

    Joined:
    Mar 27, 2016
    Messages:
    1,334
    Country:
    United States
    The devs always say lower is better
    But if you want to play some more games, you should just update since trust one has been achieved on 3.x anyway
     
  3. RitchieRitchie

    RitchieRitchie GBAtemp Advanced Fan
    Member

    Joined:
    Nov 15, 2013
    Messages:
    787
    Country:
    Yeah, I'm interested in the answer to this as well.
     
  4. Uumas

    Uumas GBAtemp Addict
    Member

    Joined:
    Sep 17, 2016
    Messages:
    2,004
    Country:
    Finland
    At this point there's no public info saying 2.x would be better, but there's always the possibility of some private exploit.
     
  5. Nezztor

    Nezztor GBAtemp Fan
    Member

    Joined:
    Nov 8, 2016
    Messages:
    486
    Country:
    Mexico
    For now, the tz private exploit works on 2.x and 3.x , But if you want to get things sooner get the 2.x
     
  6. FliP0x

    FliP0x GBAtemp Regular
    Member

    Joined:
    Aug 6, 2016
    Messages:
    145
    Country:
    Croatia
    It's general knowledge that lower is better. Lower firmwares can always be updates to 3.0.0 with Pokken, but you cannot downgrade.

    Any firmware up to 3.x has TrustZone access so it "should'nt" matter, but better to be safe and stay low than update and be sorry.
     
  7. lordpsycho

    lordpsycho Advanced Member
    Newcomer

    Joined:
    Oct 9, 2014
    Messages:
    52
    Country:
    Peru
    I would go with the "lower is better" if you had say "hey guys I'm on 2.1.0, should I update to 3.0.0 or stay where I am?"
    but since you already have a switch that came with 3.0.0 I see no reason to buy another that is on 2.1.0 since TZ will work on it eventually.
    If you really want to be on the safe side, you can tell your friend to trade your 3.0 switch + some money for his switch, but personally I would keep that 3.0 switch and wait.
     
  8. Lower is always better.
     
  9. Hasslehogg

    OP Hasslehogg Advanced Member
    Newcomer

    Joined:
    May 10, 2006
    Messages:
    55
    Country:
    thanks guys, appreciate the response, i will see how much he wants :) shame it wasnt a 1.0.0
     
  10. Rauliki

    Rauliki GBAtemp Regular
    Member

    Joined:
    Oct 24, 2016
    Messages:
    134
    Country:
    Poland
    If you won't buy it at least tell a friend to not update. 2.1.0 are rare with every passing day. Maybe someone from the forum will buy
     
  11. Hasslehogg

    OP Hasslehogg Advanced Member
    Newcomer

    Joined:
    May 10, 2006
    Messages:
    55
    Country:
    Yeah he wouldnt update it, he is wanting top dollar, 300 quid which is too much for me, i will stick with my 3.0.0 and hope ScirezM can work his magic on a CFW and release for 3.0.0 the same time as 2.x.

    All i am interested in is a fully working Retroarch, i know the Retroarch team had a 3.0.0 switch from previous threads so we should be golden
     
  12. Meriadoc

    Meriadoc GBAtemp Regular
    Member

    Joined:
    May 14, 2016
    Messages:
    137
    Country:
    Italy
    1.0.0 you have to find ad buy a puyo puyo japan copy...so i wouldn't be so happy to have a 1.0.0 console
     
  13. subcon959

    subcon959 teh retro
    Member

    Joined:
    Dec 24, 2008
    Messages:
    3,212
    Country:
    If you only care about Retroarch then 3.x will be fine. BTW £300 is an ok price most people on here are asking for way more than that.
     
    Meriadoc likes this.
  14. Deleted User

    Deleted User Newbie

    But the same exploits/methods work on 2.x and 3.x, so in turn they will all be compatible at the same time.
     
  15. rac

    rac Advanced Member
    Newcomer

    Joined:
    Dec 27, 2014
    Messages:
    62
    Country:
    United States
    i think i read somewhere that for the end user 1.0-3.0 will be basically the same, it's just that the earlier firmwares will be ready first.
     
  16. Zyvyn

    Zyvyn GBAtemp Advanced Maniac
    Member

    Joined:
    Aug 9, 2017
    Messages:
    1,956
    Country:
    United States
    lower firmware is always better
     
  17. Hasslehogg

    OP Hasslehogg Advanced Member
    Newcomer

    Joined:
    May 10, 2006
    Messages:
    55
    Country:
    hope so mate and hopefully not too long between, if its weeks/months then its worth finding a 1.0.0 if possible

    — Posts automatically merged - Please don't double post! —

    well if anyone is interested PM me and i can give you his email details, he has also stuck it on ebay
     
  18. sanni

    sanni GBAtemp Regular
    Member

    Joined:
    Nov 7, 2003
    Messages:
    142
    Country:
    Germany
    The firmware will not matter in the end. Both Team Xecuter and fail0verflow have a cold boot exploit that works on all current consoles.
    Sooner or later more infos will leak out or other people will discover this security flaw too and someone will release something for free.

    If I were you I would not go crazy like the rest of this forum and just wait. Ofc if the 2.1.0 Switch is super cheap then just buy it, it can't hurt to have a second power supply and another pair of Joy-Cons.
     
  19. Hasslehogg

    OP Hasslehogg Advanced Member
    Newcomer

    Joined:
    May 10, 2006
    Messages:
    55
    Country:
    True but unfortunately like most on here I am very inpatient, if i know say CFW or retroarch was released for 1.0.0 but not yet for 3.0.0 i would be trying my hardest to find a 1.0.0 as i would want it day one haha

    Failoverflow i dont think will release anything and Team Xecuter will, but i would have to pay someone to do it for me on top of the fee which i cant see being under 50 quid then install and also will it look ok, i cant imagie much room in there. Softmod would be my 1st choice, saying that whatever comes out 1st for the 3.0.0 i will have :)
     
  20. Mystic Shadow

    Mystic Shadow GBAtemp Regular
    Member

    Joined:
    Mar 2, 2015
    Messages:
    143
    Country:
    United States
    Patience is key. I'm on 2.2 with poken on standby. I've just been playing other games in the meantime. And when cfw does happen my wife can play MO haha.
     
    Deleted-355425 likes this.
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - beneficial, still,